using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Howest.Guidance.Extensions.Common.Data
{
	public class DataProvidersSection : ConfigurationSection
	{
		ConfigurationPropertyCollection _properties;

		protected override ConfigurationPropertyCollection Properties
		{
			get
			{
				if (_properties == null)
				{
					ConfigurationPropertyCollection props = new ConfigurationPropertyCollection();
					props.Add(new ConfigurationProperty("", typeof(DataProviderElementCollection), null,null, null, ConfigurationPropertyOptions.IsDefaultCollection));
					_properties = props;
				}
				return _properties;
			}
		}

		[ConfigurationProperty("",Options=ConfigurationPropertyOptions.IsDefaultCollection)]
		public DataProviderElementCollection DataProviders
		{
			get
			{
				return (DataProviderElementCollection)base[""];
			}
		}
	}
}
